package com.bytedance.android.livesdk.model;

import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class MaskLayer {
    @c(LIZ = "mask_layer_type")
    public int maskLayerType;
    @c(LIZ = "sub_title")
    public Text subTitle;
    @c(LIZ = "title")
    public Text title;

    static {
        Covode.recordClassIndex(18863);
    }

    public boolean isGameAgeRestrictedType() {
        if (this.maskLayerType == 2) {
            return true;
        }
        return false;
    }

    public boolean isGameDisturbingContentType() {
        if (this.maskLayerType == 3) {
            return true;
        }
        return false;
    }

    public boolean isGameLiveMask() {
        int i = this.maskLayerType;
        if (i == 2 || i == 3) {
            return true;
        }
        return false;
    }

    public boolean isR2OrUnknownMask() {
        int i = this.maskLayerType;
        if (i == 1 || i == 0) {
            return true;
        }
        return false;
    }

    public String getMaskLayerTypeStr() {
        int i = this.maskLayerType;
        if (i == 1) {
            return "R2";
        }
        if (i == 2) {
            return "Game Age Restricted";
        }
        if (i == 3) {
            return "Game Disturbing Content";
        }
        return "Unknown";
    }
}
